<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
      integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.0/animate.min.css"
    />

    <link rel="stylesheet" href="style.css" />
    <title>Todo List</title>
  </head>
  <body>
    <div id="todoList" class="d-flex d-flex-center d-flex-column mt-3" v-cloak>
      <h1 class="mb-3">Todo List</h1>
      <h6 class="mb-2"><span>add a todo please...</span></h6>
      <div>
        <form
          @submit.prevent="addTodo"
          class="d-flex d-flex-column todoForm mb-3"
        >
          <label for="todo" class="mb-2">Todo: </label>
          <input
            type="text"
            id="todo"
            v-model="todoInput"
            class="mb-2 "
            autocomplete="off"
          />
          <button type="submit" class="btn">Add Todo!</button>
        </form>
        <div class="todoContainer">
          <button class="btn mb-3" @click="toggleSlider = !toggleSlider">
            List / Slider
          </button>
          <!-- List -->
          <ul v-if="toggleSlider">
            <transition-group name="animate" mode="in-out">
              <li
                v-for="(todo, index) in todos"
                :key="todo.id"
                class="todoItem"
                :class="{completedItem: todo.isCompleted, noneCompletedItem: !todo.isCompleted}"
              >
                <div class="d-flex d-flex-between">
                  <p
                    class="mb-2"
                    :class="{ completed: todo.isCompleted }"
                    @click="completeTodo(index)"
                  >
                    {{ todo.title }}
                  </p>
                  <div>
                    <p v-if="!todo.isCompleted" class="notComplete">
                      Unfinished!!!
                    </p>
                    <p v-else class="yeahCompleted">Finished!!!</p>
                    <i
                      class="fas fa-thumbs-up fa-lg"
                      @click="completeTodo(index)"
                    ></i>
                    <i
                      class="fa fa-trash fa-lg"
                      @click="deleteTodo(todo.id)"
                    ></i>
                  </div>
                </div>
              </li>
            </transition-group>
          </ul>
          <!-- Slider -->
          <div v-else class="d-flex d-flex-between">
            <transition
              appear
              enter-class="animated fadeIn"
              enter-active-class="animated fadeIn"
              leave-active-class="animated fadeOut"
              mode="out-in"
            >
              <p :key="index">{{ getTodo }}</p>
            </transition>
            <transition enter-active-class="animated fadeIn slow">
              <div v-if="todos.length !== 0 ">
                <i class="fa fa-arrow-left" @click="decrementIndex"></i>
                <i class="fa fa-arrow-right" @click="incrementIndex"></i>
              </div>
            </transition>
          </div>
        </div>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="app.js"></script>
  </body>
</html>
